Rapid7 Vulnerability & Exploit Database

FreeBSD: vim -- Command Format String Vulnerability (CVE-2007-2953)

Back to Search

FreeBSD: vim -- Command Format String Vulnerability (CVE-2007-2953)

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Published
07/31/2007
Created
07/25/2018
Added
05/08/2014
Modified
02/17/2015

Description

Format string vulnerability in the helptags_one function in src/ex_cmds.c in Vim 6.4 and earlier, and 7.x up to 7.1, allows user-assisted remote attackers to execute arbitrary code via format string specifiers in a help-tags tag in a help file, related to the helptags command.

Solution(s)

  • freebsd-upgrade-package-vim

References

  • freebsd-upgrade-package-vim

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;